gdcm::network::PresentationContextRQ Class Reference

PresentationContextRQ. More...

`#include <gdcmPresentationContextRQ.h>`

## Public Types

typedef std::vector< TransferSyntaxSub >::size_type | SizeType

## Public Member Functions

| PresentationContextRQ ()
| PresentationContextRQ (const PresentationContext &pc)
| PresentationContextRQ (UIDs::TSName asname, UIDs::TSName tsname=UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM)
void | AddTransferSyntax (TransferSyntaxSub const &ts)
AbstractSyntax & | GetAbstractSyntax ()
AbstractSyntax const & | GetAbstractSyntax () const
SizeType | GetNumberOfTransferSyntaxes () const
uint8_t | GetPresentationContextID () const
TransferSyntaxSub & | GetTransferSyntax (SizeType i)
TransferSyntaxSub const & | GetTransferSyntax (SizeType i) const
std::vector< TransferSyntaxSub > const & | GetTransferSyntaxes () const
bool | operator== (const PresentationContextRQ &pc) const
void | Print (std::ostream &os) const
std::istream & | Read (std::istream &is)
void | SetAbstractSyntax (AbstractSyntax const &absyn)
void | SetPresentationContextID (uint8_t id)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

PresentationContextRQ.

Table 9-13 PRESENTATION CONTEXT ITEM FIELDS

See also
  PresentationContextAC

## Member Typedef Documentation

## SizeType

typedef std::vector<TransferSyntaxSub>::size_type gdcm::network::PresentationContextRQ::SizeType

## Constructor & Destructor Documentation

## PresentationContextRQ() [1/3]

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( |  | ) |

Referenced by operator==().

## PresentationContextRQ() [2/3]

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( | UIDs::TSName | asname,
|  | UIDs::TSName | tsname = UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM )

Initialize Presentation Context with AbstractSyntax set to asname and with a single TransferSyntax set to tsname (dfault to Implicit VR LittleEndian when not specified ).

References gdcm::UIDs::ImplicitVRLittleEndianDefaultTransferSyntaxforDICOM.

## PresentationContextRQ() [3/3]

gdcm::network::PresentationContextRQ::PresentationContextRQ | ( | const PresentationContext & | pc | ) |

## Member Function Documentation

## AddTransferSyntax()

void gdcm::network::PresentationContextRQ::AddTransferSyntax | ( | TransferSyntaxSub const & | ts | ) |

## GetAbstractSyntax() [1/2]

AbstractSyntax & gdcm::network::PresentationContextRQ::GetAbstractSyntax | ( |  | ) |

inline

## GetAbstractSyntax() [2/2]

AbstractSyntax const & gdcm::network::PresentationContextRQ::GetAbstractSyntax | ( |  | ) | const

inline

## GetNumberOfTransferSyntaxes()

SizeType gdcm::network::PresentationContextRQ::GetNumberOfTransferSyntaxes | ( |  | ) | const

inline

## GetPresentationContextID()

uint8_t gdcm::network::PresentationContextRQ::GetPresentationContextID | ( |  | ) | const

## GetTransferSyntax() [1/2]

TransferSyntaxSub & gdcm::network::PresentationContextRQ::GetTransferSyntax | ( | SizeType | i | ) |

inline

## GetTransferSyntax() [2/2]

TransferSyntaxSub const & gdcm::network::PresentationContextRQ::GetTransferSyntax | ( | SizeType | i | ) | const

inline

## GetTransferSyntaxes()

std::vector< TransferSyntaxSub > const & gdcm::network::PresentationContextRQ::GetTransferSyntaxes | ( |  | ) | const

inline

## operator==()

bool gdcm::network::PresentationContextRQ::operator== | ( | const PresentationContextRQ & | pc | ) | const

inline

References PresentationContextRQ().

## Print()

void gdcm::network::PresentationContextRQ::Print | ( | std::ostream & | os | ) | const

## Read()

std::istream & gdcm::network::PresentationContextRQ::Read | ( | std::istream & | is | ) |

## SetAbstractSyntax()

void gdcm::network::PresentationContextRQ::SetAbstractSyntax | ( | AbstractSyntax const & | absyn | ) |

## SetPresentationContextID()

void gdcm::network::PresentationContextRQ::SetPresentationContextID | ( | uint8_t | id | ) |

## Size()

size_t gdcm::network::PresentationContextRQ::Size | ( |  | ) | const

## Write()

const std::ostream & gdcm::network::PresentationContextRQ::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmPresentationContextRQ.h